import { useGetDerivedNamespace } from "../use-namespace/index.mjs";
import { useIdInjection } from "../use-id/index.mjs";
import { onBeforeMount, computed } from "vue";
import { isClient } from "../../../node_modules/@vueuse/shared/index.mjs";
const usePopperContainerId = () => {
  const namespace = useGetDerivedNamespace();
  const idInjection = useIdInjection();
  const id = computed(() => {
    return `${namespace.value}-popper-container-${idInjection.prefix}`;
  });
  return {
    id,
    selector: computed(() => `#${id.value}`)
  };
};
const createContainer = (id) => {
  const container = document.createElement("div");
  container.id = id;
  document.body.appendChild(container);
  return container;
};
const usePopperContainer = () => {
  const { id, selector } = usePopperContainerId();
  onBeforeMount(() => {
    if (!isClient) return;
    if (!document.body.querySelector(selector.value)) createContainer(id.value);
  });
  return {
    id,
    selector
  };
};
export {
  usePopperContainer,
  usePopperContainerId
};
